Imports EgtUILib

Public Class AboutBoxWD

   ' Riferimento alla MainWindow
   Private m_MainWindow As MainWindow = DirectCast(Application.Current.MainWindow, MainWindow)

   Sub New(Owner As Window)

      ' This call is required by the designer.
      InitializeComponent()

      ' Add any initialization after the InitializeComponent() call.
      Me.Owner = Owner
      Me.Top = Owner.Top + (Owner.Height / 2 - Me.Height / 2)
      Me.Left = Owner.Left + (Owner.Width / 2 - Me.Width / 2)
      Me.ShowDialog()

   End Sub

   Private Sub AboutBoxWD_Initialized(sender As Object, e As EventArgs) Handles Me.Initialized
      DescriptionLbl.Text = My.Application.Info.Description.ToString()
      VersionLbl.Text = "Version : " & m_MainWindow.GetVersion()
      Dim sKey As String = String.Empty
      EgtGetKeyInfo(sKey)
      Dim sOpts As String = m_MainWindow.GetKeyOptions().ToString()
#If TRIAL Then
      If sKey.Length() <= 14 Then
         KeyLbl.Text = sKey & " - " & sOpts
      Else
         KeyLbl.Text = sKey.Substring(0, 9) & "..." & sKey.Substring(sKey.Length() - 5) & " - " & sOpts
      End If
#Else
      KeyLbl.Text = sKey & " - " & sOpts
#End If
      ' COPIATO da codice CAM5
      Dim sAssStatus As String = " discontinued"
      Dim nAssLeftDays As Integer
      If EgtGetKeyAssLeftDays(nAssLeftDays) And nAssLeftDays >= 0 Then
         If nAssLeftDays > 30 Then
            sAssStatus = "expires within " & nAssLeftDays.ToString() & " days"
         ElseIf nAssLeftDays > 0 Then
            sAssStatus = "to be renewed within " & nAssLeftDays.ToString() & " days"
         Else
            sAssStatus = "to be renewed by today"
         End If
      End If
      AssStatusLbl.Text = sAssStatus
      CopyrightLbl.Text = My.Application.Info.Copyright.ToString()
      MachineLbl.Text = "Machine : " & m_MainWindow.m_CurrentMachine.sMachineName
      ProjectLbl.Text = "Project : " & m_MainWindow.m_CurrentProjectPageUC.GetCurrentProjectName()
      ExitBtn.Content = EgtMsg(10104)          'Ok
   End Sub

End Class
